# include "dvomerge.h"

int main (int argc, char **argv) {

  SetSignals ();
  dvomerge_help (argc, argv);
  ConfigInit (&argc, argv);
  dvomerge_args (&argc, argv);

  if (argc == 6) dvomergeCreate (argc, argv);
  if (argc == 4) dvomergeUpdate (argc, argv);
  dvomerge_usage();
  exit (2); // cannot reach here.
}

/* we have two possible modes of operation:

   Create : dvomerge (in1) and (in2) to (out) -- create a new db from two input dbs
   Update : dvomerge (in) into (out)          -- merge a new db into an existing db

*/
